This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1025243 - Guest crash after S3/S4 with 82599 VF
Guest crash after S3/S4 with 82599 VF
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Bandan Das
Virtualization Bugs
:
Depends On:
Blocks: Virt-S3/S4-7.0
  Show dependency treegraph
 
Reported: 2013-10-31 06:05 EDT by Xu Han
Modified: 2015-03-04 00:37 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-04 00:37:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg (39.89 KB, text/plain)
2013-10-31 06:08 EDT, Xu Han
no flags Details
Crash debug (2.79 KB, text/plain)
2013-10-31 06:09 EDT, Xu Han
no flags Details

  None (edit)
Description Xu Han 2013-10-31 06:05:40 EDT
Description of problem:
Guest crash after S3/S4 with 82599 VF.
# lspci | grep 82599
05:00.0 Ethernet controller: Intel Corporation 82599EB 10-Gigabit SFI/SFP+ Network Connection (rev 01)
05:00.1 Ethernet controller: Intel Corporation 82599EB 10-Gigabit SFI/SFP+ Network Connection (rev 01)
05:10.0 Ethernet controller: Intel Corporation 82599 Ethernet Controller Virtual Function (rev 01)
05:10.1 Ethernet controller: Intel Corporation 82599 Ethernet Controller Virtual Function (rev 01)
05:10.2 Ethernet controller: Intel Corporation 82599 Ethernet Controller Virtual Function (rev 01)
05:10.3 Ethernet controller: Intel Corporation 82599 Ethernet Controller Virtual Function (rev 01)

Version-Release number of selected component (if applicable):
kernel-3.10.0-40.el7.x86_64
qemu-kvm-rhev-1.5.3-10.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. boot guest with 82599 VF via vfio
# /usr/libexec/qemu-kvm -nodefaults -M pc -m 4G -cpu Nehalem -smp 4,cores=2,threads=2,sockets=1 -boot menu=on -monitor stdio -vga qxl -spice disable-ticketing,port=5932 -drive file=/home/vfio-RHEL7.0-64-1.qcow2_v3,id=guest-img,if=none,cache=none,aio=native -device virtio-blk-pci,scsi=off,drive=guest-img,id=os-disk,bootindex=1 -device virtio-balloon-pci,id=balloon -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -qmp tcp:0:5556,server,nowait -serial unix:/tmp/guest-sock-1,server,nowait -monitor unix:/tmp/vfio-hotplug-1,server,nowait \
-device vfio-pci,host=05:10.0,id=vf0

2. do S3/S4 on guest.

3. resume guest.

Actual results:
Guest crash:
kdump: dump target is /dev/mapper/rhel-root
kdump: saving to /sysroot//var/crash/127.0.0.1-2013.10.31-03:31:16/
kdump: saving vmcore-dmesg.txt
kdump: saving vmcore-dmesg.txt complete
kdump: saving vmcore
Copying data                       : [100 %] 
kdump: saving vmcore complete


Expected results:
Guest not crash and VF work properly.

Additional info:
Test with PF hit bug 1025213.
Comment 1 Xu Han 2013-10-31 06:08:35 EDT
Created attachment 817801 [details]
Dmesg
Comment 2 Xu Han 2013-10-31 06:09:45 EDT
Created attachment 817803 [details]
Crash debug
Comment 5 Xu Han 2013-11-12 22:47:42 EST
Test with windows 2008 R2 guest on AMD host by following steps in Description.

Result:
After guest resume from S4, 82576 VF not work properly and get these messages below from host dmesg:
[ 2088.994321] vfio-pci 0000:01:10.0: enabling device (0000 -> 0002)
[ 2097.180686] vfio-pci 0000:01:10.0: irq 79 for MSI/MSI-X
[ 2097.190509] vfio-pci 0000:01:10.0: irq 79 for MSI/MSI-X
[ 2097.190527] vfio-pci 0000:01:10.0: irq 80 for MSI/MSI-X
[ 2097.196505] vfio-pci 0000:01:10.0: irq 79 for MSI/MSI-X
[ 2097.196518] vfio-pci 0000:01:10.0: irq 80 for MSI/MSI-X
[ 2097.196535] vfio-pci 0000:01:10.0: irq 81 for MSI/MSI-X
[ 2100.272564] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2102.270629] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2104.268683] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2106.266751] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2108.264819] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2110.262875] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2112.260937] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2114.259003] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2116.257062] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2118.255125] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2120.253184] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2122.251242] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2124.249307] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2126.247371] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2128.245450] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2130.243496] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2132.241565] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2134.239635] igb 0000:01:00.0: Spoof event(s) detected on VF 0
[ 2136.237683] igb 0000:01:00.0: Spoof event(s) detected on VF 0

Note You need to log in before you can comment on or make changes to this bug.